package com.wd.workoffice.model;

import com.wd.workoffice.app.BaseBean;
import com.wd.workoffice.contract.BatSaleContract;
import com.wd.workoffice.retrofit.RtfUtils;

import java.util.Map;

import io.reactivex.Observable;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class BatSaleModel implements BatSaleContract.Model {
    public static BatSaleModel newInstance() {
        return new BatSaleModel();
    }

    @Override
    public Observable<BaseBean> getProcess(String processCode, Integer transitPartId) {
        return RtfUtils.getRtf().getProcess(processCode, transitPartId);
    }


    @Override
    public Observable<BaseBean> getDep(String permission) {
        return RtfUtils.getRtf().getDepByPermission(permission);
    }
    @Override
    public Observable<BaseBean> getStock(Map<String,Object> param) {
        return RtfUtils.getRtf().getStock(param);
    }
}
